SELECT DISTINCT ?uri ?title ?label ?description  ?classLabel ?identifier (group_concat(distinct ?subjectLabel ; separator = ", ") AS ?subjectLabels) (group_concat(distinct ?makerName ; separator = "; ") AS ?makerNames ) ?img ?hasPage ?hasTranscription ?nr1
WHERE { 
	 GRAPH <urn:x-arq:UnionGraph> {
		<http://data.ub.uib.no/instance/journal/{{ lodspk.args.arg0 }}> dct:hasPart ?uri .
		?uri rdf:type ?class .
		OPTIONAL { ?uri dct:title ?title . }
		OPTIONAL { ?uri rdfs:label ?label . }
		OPTIONAL { ?uri ubbont:sequenceNr ?nr }
		OPTIONAL { ?uri dct:identifier ?identifier . }
		OPTIONAL { ?uri dct:description ?description . }
		OPTIONAL { ?uri dct:subject ?subject . ?subject skos:prefLabel ?subjectLabel . }
		OPTIONAL { ?uri foaf:maker ?maker . ?maker foaf:name ?makerName . }
		OPTIONAL { ?uri ubbont:hasThumbnail ?thumb . }
		OPTIONAL { ?uri ubbont:hasRepresentation/dct:hasPart/ubbont:hasSMView ?img1 . }
		BIND ( EXISTS { ?uri ubbont:hasPage ?page } AS ?hasPage )
		BIND ( EXISTS { ?uri ubbont:hasTranscription ?transcription } AS ?hasTranscription )
		BIND (if (!bound( ?nr ), 500, ?nr) AS ?nr1 )
		BIND(COALESCE(?img1, ?thumb) AS ?img )
		}
	GRAPH ubbont:ubbont {		
		?class rdfs:label ?classLabel .
		FILTER(langMatches(lang(?classLabel), "")) }
	} 
GROUP BY ?uri ?title ?label ?description ?classLabel ?identifier ?subjectLabels ?makerNames ?img ?hasPage ?hasTranscription ?nr1
ORDER BY ?nr1 ?identifier
OFFSET {{lodspk.args.arg1|default:0}} 
LIMIT 100 
